"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createKeyboardState = createKeyboardState;
exports.keyboard = keyboard;
Object.defineProperty(exports, "releaseAllKeys", {
  enumerable: true,
  get: function () {
    return _keyboardImplementation.releaseAllKeys;
  }
});

var _setup = require("../setup");

var _keyboardImplementation = require("./keyboardImplementation");

async function keyboard(text) {
  return (0, _keyboardImplementation.keyboardImplementation)(this[_setup.Config], text);
}

function createKeyboardState() {
  return {
    activeElement: null,
    pressed: [],
    carryChar: '',
    modifiers: {
      alt: false,
      caps: false,
      ctrl: false,
      meta: false,
      shift: false
    }
  };
}